package org.jcon.param.edtree;

import org.jcon.param.tree.PropList;
import java.awt.Component;

/**
 * This class is the CONTROLLER of the DatumTree.
 *
 * @author Jack Harich
 */
public class DatumTreeLogic {

//---------- Private Fields ------------------------------
private DatumTreeView view = new DatumTreeView();

//---------- Initialization ------------------------------
//public DatumTreeLogic() {
    //view.setController(this);
//}
//---------- Superclass Overrides ------------------------

//---------- Something Implementation --------------------

//---------- Properties ----------------------------------
public void setRootDatum(PropList rootPropList) {
    view.setRootDatum(rootPropList);
}
public Component getComponent() {
    return view.getComponent();
}
//---------- Events --------------------------------------

//---------- Public Methods ------------------------------

//---------- Private Methods -----------------------------
//--- Std
private static void print(String text) {
    System.out.println("DatumTreeLogic" + text);
}

} // End class
